%global debug_package %{nil}

Name:           virt-dmesg
Version:        0.3.0
Release:        19%{?dist}
Summary:        Print kernel messages from a Linux virtual machine

License:        GPLv2+
URL:            http://people.redhat.com/~rjones/virt-dmesg/
Source0:        http://people.redhat.com/~rjones/virt-dmesg/files/%{name}-%{version}.tar.gz

# Update configure for aarch64 (bz #926700)
Patch1:         virt-dmesg-aarch64.patch

# Fix for OCaml 4.02.
Patch2:         virt-dmesg-immutable-strings-error.patch

BuildRequires:  ocaml >= 3.10.2
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-libvirt-devel
BuildRequires:  zlib-devel
BuildRequires:  libvirt-devel
BuildRequires:  /usr/bin/pod2man

# Force libvirt that contains several fixes for virDomainMemoryPeek.
Requires:       libvirt >= 0.9.1-3


%description
virt-dmesg prints the kernel messages from a running Linux virtual
machine.  It is like dmesg(1) except that it works on virtual machines
instead of the host.


%prep
%setup -q

# Update configure for aarch64 (bz #926700)
%patch1 -p1

# Fix for OCaml 4.02
%patch2 -p1


%build
%configure
make all

strip src/virt-dmesg


%install
make DESTDIR=$RPM_BUILD_ROOT install


%files
%doc COPYING README TODO
%{_bindir}/virt-dmesg
%{_bindir}/virt-uname
%{_mandir}/man1/virt-dmesg.1*
%{_mandir}/man1/virt-uname.1*


%changelog
* Wed Jun 24 2015 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-19
- ocaml-4.02.2 final rebuild.

* Thu Jun 18 2015 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-18
- ocaml-4.02.2 rebuild.

* Tue Feb 17 2015 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-17
- ocaml-4.02.1 rebuild.

* Sun Aug 31 2014 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-16
- ocaml-4.02.0 final rebuild.

* Sat Aug 23 2014 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-15
- ocaml-4.02.0+rc1 rebuild.

* Tue Aug 19 2014 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-14
- Fix for OCaml 4.02.
- Clean up the spec file.

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 15 2014 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-11
- Remove ocaml_arches macro (RHBZ#1087794).

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 28 2013 Cole Robinson <crobinso@redhat.com> - 0.3.0-9
- Update configure for aarch64 (bz #926700)

* Tue Feb 19 2013 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-8
- +BR /usr/bin/pod2man.

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 14 2012 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-6
- Rebuild for OCaml 4.00.1.

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-4
- Rebuild for OCaml 4.00.0.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Dan Horák <dan[at]danny.cz> - 0.3.0-2
- set supported arches

* Tue Jun 21 2011 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-1
- New upstream version 0.3.0.
- Add TODO file to doc.

* Mon Jun 20 2011 Richard W.M. Jones <rjones@redhat.com> - 0.2.0-1
- Added to Fedora.
